Get a dataset
curl --request GET \
--url https://api.egp.scale.com/v5/datasets/{dataset_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.egp.scale.com/v5/datasets/{dataset_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.egp.scale.com/v5/datasets/{dataset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created_by": {
"id": "<string>",
"type": "user",
"object": "identity"
},
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"current_version_num": 123,
"object": "dataset",
"description": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Datasets
Get a dataset
Retrieve a single dataset by its id.
By default an archived dataset is not returned; set include_archived to true to fetch a
dataset regardless of whether it has been archived.
GET
/
v5
/
datasets
/
{dataset_id}
Get a dataset
Authorizations
Headers
Path Parameters
Query Parameters
Response
Successful Response
The unique identifier of the entity.
The identity that created the entity.
Show child attributes
Show child attributes
The date and time when the entity was created in ISO format.
The tags associated with the entity
Allowed value:
"dataset"The date and time when the entity was archived in ISO format.

